Skip to content

getMethodOperations

READ

Get method operations.

POST /api/v1/items/getMethodOperations
curl -X POST '<your-host>/api/v1/items/getMethodOperations' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "description": "string",
      "id": "string",
      "inspectionDocumentId": "string",
      "laborTime": 0,
      "laborUnit": "Hours/Piece",
      "machineTime": 0,
      "machineUnit": "Hours/Piece",
      "makeMethodId": "string",
      "operationLeadTime": 0,
      "operationMinimumCost": 0,
      "operationOrder": "After Previous",
      "operationSupplierProcessId": "string",
      "operationType": "Process",
      "operationUnitCost": 0,
      "order": 0,
      "procedureId": "string",
      "processId": "string",
      "setupTime": 0,
      "setupUnit": "Hours/Piece",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "workCenterId": "string",
      "workInstruction": "…",
      "makeMethod": {
        "item": {
          "id": "string",
          "type": "Part",
          "name": "string",
          "readableIdWithRevision": "string"
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}